<?php

$view

->set('name', 'xnr-detail')
->set('title', 'main/content.getXnrOne#name') 

->import('inc/head')

->fetch('body@test', '1')

//->fetch(array('.avatar img@src', 0), 'main/content.getXnrOne#pic')

->loop
(
    '.swiper-container .swiper-slide',
    'main/content.getXnrOne_pic',
    array
    (
        'a' => array
        (
            'img' => array
            (
                'src' => '$v',
            ),

            'href' => 'javascript:;',
        ),
        
    )
)

->fetch(array('.xnr-profile dt', 0), 'main/content.getXnrOne#sname')

->fetch(array('.xnr-profile b', 0), 'main/content.getXnrOne#sex')
->fetch(array('.xnr-profile b', 1), 'main/content.getXnrOne#age')
->fetch(array('.xnr-profile b', 2), 'main/content.getXnrOne#city')


->fetch(array('.xnr-profile b', 3), 'main/content.getXnrOne#waimao')

->fetch(array('.xnr-profile p', 0), 'main/content.getXnrOne#aihao')

->fetch(array('.xnr-profile p', 1), 'main/content.getXnrOne#info')
->fetch(array('.xnr-profile p', 2), 'main/content.getXnrOne#pdate')
->fetch(array('.xnr-profile p', 3), 'main/content.getXnrOne#creater_name')

->loop
(
    '.links a',
    'main/content.getXnrOne_news',
    array
    (
        'self' => array
        (
            'href' => '$v.link',
            'title' => '$v.name',
            'html' => '$v.name',
            'class' => '$v.class',
        ),
    )
)

->fetch('.links@style', 'main/content.getXnrOne_news', 'none')

->fetch('.shares .icon-weibo@href', 'main/content.getXnrOne#weibo')
->fetch('.shares .icon-bilibili@href', 'main/content.getXnrOne#bilibili')
->fetch('.shares .icon-douyin@href', 'main/content.getXnrOne#douyin')
->fetch('.shares .icon-ins@href', 'main/content.getXnrOne#ins_link')
->fetch('.shares .ins-layer', 'main/content.getXnrOne#ins')

->import('inc/foot')

->display();  